Name: fedora-workstation-backgrounds
Version: 1.2
Release: 2%{?dist}
Summary: Desktop backgrounds for Fedora Workstation

License: CC-BY-SA and CC-BY and CC0
URL: https://pagure.io/fedora-design/fedora-workstation-backgrounds
Source0: https://pagure.io/fedora-design/%{name}/archive/v%{version}/%{name}-v%{version}.tar.gz
Patch0001: 0001-Trim-out-unneeded-backgrounds.patch

BuildArch: noarch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: make

%description
The fedora-workstation-backgrounds packages contains the additional standard
wallpapers for Fedora Workstation.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install


%files
%license COPYING
%doc NEWS README AUTHORS
%dir %{_datadir}/gnome-background-properties

%{_datadir}/backgrounds/fedora-workstation/calm.jpg
%{_datadir}/backgrounds/fedora-workstation/calm_dark.jpg
%{_datadir}/gnome-background-properties/calm.xml

%{_datadir}/backgrounds/fedora-workstation/cherryblossom.jpg
%{_datadir}/backgrounds/fedora-workstation/cherryblossom_dark.jpg
%{_datadir}/gnome-background-properties/cherryblossom.xml

%{_datadir}/backgrounds/fedora-workstation/corn.jpg
%{_datadir}/backgrounds/fedora-workstation/corn_dark.jpg
%{_datadir}/gnome-background-properties/corn.xml

%{_datadir}/backgrounds/fedora-workstation/dandelion.jpg
%{_datadir}/backgrounds/fedora-workstation/dandelion_dark.jpg
%{_datadir}/gnome-background-properties/dandelion.xml

%{_datadir}/backgrounds/fedora-workstation/winter-in-bohemia.png
%{_datadir}/backgrounds/fedora-workstation/winter-in-bohemia_dark.png
%{_datadir}/gnome-background-properties/winter-in-bohemia.xml

%{_datadir}/backgrounds/fedora-workstation/zen.jpg
%{_datadir}/backgrounds/fedora-workstation/zen_dark.jpg
%{_datadir}/gnome-background-properties/zen.xml

%changelog	
* Mon Mar 21 2022 Máirín Duffy <duffy@redhat.com> - 1.2
- Dark mode variants added for Fedora 36: calm, cherryblossom, corn, dandelion, winter-in-bohemia, zen
- Split XML for backgrounds so each has its own xml
- Modified spec so only the 6 dark mode capable backgrounds are shipped for F36
- See https://pagure.io/design/issue/809

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 24 2017 Ryan Lerch <rlerch@redhat.com> - 1.1-1
- Initial Release
